{ ... }: 
{  
  imports = [
    ./terminal.nix
    ./neotree.nix
    ./cmp.nix
    ./lualine.nix
    ./ui.nix
    ./lsp/default.nix  
    ./dbg/default.nix
  ];
  vim = {
    extraLuaFiles = [
      (builtins.path {
        path = ./raw/opts.lua;
        name = "opts.lua";
      })
    ];
    autopairs.nvim-autopairs.enable = true;
    telescope.enable = true;
    autocomplete = { enableSharedCmpSources = true; }; 
    
    binds = {
      whichKey = {
        enable = true; 
        #setupOpts.preset = "helix";
      };
    };
  };
}

